# Python APIs for MXNet

MXNet supports the Python programming language. The MXNet Python package brings flexible and efficient GPU
computing and state-of-art deep learning to Python. It enables you to write seamless tensor/matrix computation with multiple GPUs in Python. It also allows you to construct and customize state-of-art deep learning models in Python,
  and apply them to tasks, such as image classification and data science challenges.


## Python API Reference
* [Module API](module.md) is a flexible high-level interface for training neural networks.
* [Model API](model.md) is an alternate simple high-level interface for training neural networks.
* [Symbolic API](symbol.md) performs operations on NDArrays to assemble neural networks from layers.
* [IO Data Loading API](io.md) performs parsing and data loading.
* [NDArray API](ndarray.md) performs vector/matrix/tensor operations.
* [KVStore API](kvstore.md) performs multi-GPU and multi-host distributed training.
